
ctools - Bug #505

ctools static code analysis errors and warnings

09/19/2012 10:29 PM - Knödlseder Jürgen

Status: Closed Start date: 09/19/2012

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Running Eclipse C++ code analysis on ctools gives the four errors and three warnings shown below.

The errors are again Eclipse CODAN bugs:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=355767#c4

I think the warnings are irrelevant in our case.

Nevertheless, why not fix them, i.e. always catch by reference?

https://bugs.eclipse.org/bugs/show_bug.cgi?id=360101

Overall the Eclipse static code analysis is not very powerful, but it's still useful to catch all those little typos and argument list order

and missing includes and ... while coding without having to run a build.

Description    Resource    Path    Location    Type

'toupper' is ambiguous '

Candidates are:

std::basic_string<char,std::char_traits<char>,std::allocator<char>> toupper(const

 std::basic_string<char,std::char_traits<char>,std::allocator<char>> &)

'    ctlike.cpp    /ctools/src/ctlike    line 354    Semantic Error

Catching by reference is recommended 'GException::fits_open_error'    ctlike.cpp    /ctools/src/ctlike    line 370    Code Analysis

 Problem

'toupper' is ambiguous '

Candidates are:

std::basic_string<char,std::char_traits<char>,std::allocator<char>> toupper(const

 std::basic_string<char,std::char_traits<char>,std::allocator<char>> &)

'    ctlike.cpp    /ctools/src/ctlike    line 297    Semantic Error

'toupper' is ambiguous '

Candidates are:

std::basic_string<char,std::char_traits<char>,std::allocator<char>> toupper(const

 std::basic_string<char,std::char_traits<char>,std::allocator<char>> &)

'    ctskymap.cpp    /ctools/src/ctskymap    line 428    Semantic Error

Catching by reference is recommended 'GException::fits_open_error'    ctselect.cpp    /ctools/src/ctselect    line 417    Code Analysis

 Problem

'toupper' is ambiguous '

Candidates are:

std::basic_string<char,std::char_traits<char>,std::allocator<char>> toupper(const

 std::basic_string<char,std::char_traits<char>,std::allocator<char>> &)

'    ctbin.cpp    /ctools/src/ctbin    line 510    Semantic Error

Catching by reference is recommended 'GException::fits_open_error'    ctbin.cpp    /ctools/src/ctbin    line 412    Code Analysis

 Problem

History

#1 - 09/19/2012 11:16 PM - Knödlseder Jürgen

- Status changed from New to Feedback

- % Done changed from 0 to 100

Indeed, I do not understand the toupper warnings.

I agree that catching by reference is the right thing to do. Thanks for catching these "bugs". I corrected them.

04/29/2024 1/2

https://bugs.eclipse.org/bugs/show_bug.cgi?id=355767#c4
https://bugs.eclipse.org/bugs/show_bug.cgi?id=360101


#2 - 02/07/2014 08:18 AM - Knödlseder Jürgen

- Status changed from Feedback to Closed
